Skip to main content
GET
/
anti-fraud-services
/
{anti_fraud_service_id}
Get anti-fraud service
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id}"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id}")
  .header("Authorization", "Bearer <token>")
  .asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
  --url https://api.sandbox.{id}.gr4vy.app/anti-fraud-services/{anti_fraud_service_id} \
  --header 'Authorization: Bearer <token>'
{
  "type": "anti-fraud-service",
  "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
  "merchant_account_id": "default",
  "anti_fraud_service_definition_id": "sift-anti-fraud",
  "display_name": "Sift Anti-Fraud Service.",
  "active": true,
  "silent": false,
  "reviews_enabled": false,
  "fields": [
    {
      "key": "approve_decision",
      "value": "sk_test_26PHem9AhJZvU623DfE1x4sd"
    }
  ],
  "created_at": "2013-07-16T19:23:00.000+00:00",
  "updated_at": "2013-07-16T19:23:00.000+00:00"
}
{
  "type": "error",
  "code": "unauthorized",
  "status": 401,
  "message": "No valid API authentication found",
  "details": []
}
{
  "type": "error",
  "code": "not_found",
  "status": 404,
  "message": "The resource could not be found",
  "details": []
}
This endpoint requires the anti-fraud-services.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

anti_fraud_service_id
string<uuid>
required

The unique ID for an anti-fraud service.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns the information about a anti-fraud service.

type
enum<string>

The type of this resource. Is always anti-fraud-service.

Available options:
anti-fraud-service
Example:

"anti-fraud-service"

id
string<uuid>

The unique Gr4vy ID for this anti-fraud service.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

anti_fraud_service_definition_id
enum<string>

The name of the Anti-Fraud service provider. During update request, this value is used for validation only but the underlying service can not be changed for an existing service.

Available options:
cybersource-anti-fraud,
forter-anti-fraud,
sift-anti-fraud
Example:

"sift-anti-fraud"

display_name
string | null

A unique name for this anti-fraud service which is used in the Gr4vy admin panel to give a anti-fraud service a human readable name.

Required string length: 1 - 200
Example:

"Sift Anti-Fraud Service."

active
boolean
default:true

Defines if this service is currently active or not.

Example:

true

silent
boolean
default:false

Defines if this service is currently running in silent mode. In silent mode, a service's decisions will be created but ignored when processing a transaction, allowing for warm-up and comparison of new services against the active service.

Example:

false

reviews_enabled
boolean
default:false

Defines if this service needs to handle the review status with a proper review workflow. If not, the review status will be treated as any other one.

Example:

false

fields
object[]

A list of fields, each containing a key-value pair for anti-fraud service decision mapping e.g. for Sift approve_decision will be in the response.

created_at
string<date-time>

The date and time when this anti-fraud service was created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>

The date and time when this anti-fraud service was last updated in our system.

Example:

"2013-07-16T19:23:00.000+00:00"